summaryrefslogtreecommitdiff
path: root/t/compile_f_c_cxx.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-18 20:28:20 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-18 20:28:20 +0200
commit42eaadf9b117768814796728c8bef23009d9a52a (patch)
tree7cff713d3e41beb3c9967d59031426761d73a906 /t/compile_f_c_cxx.sh
parent5fe99e28ae324fe1fd211cf289c0f9f75977f07e (diff)
parentca41efd3e14a9523e4e0cc1d9689eb30b6b7045a (diff)
downloadautomake-42eaadf9b117768814796728c8bef23009d9a52a.tar.gz
Merge branch 'subdir-objects-work'
* subdir-objects-work: depend: reduce code duplication, de-uglify make verbose output depend: prefer $(...) over `...` in Cygwin-specific recipes depend: reduce code duplication depend: a preparatory refactoring depend: refactor and remove code duplication Automake::Language: drop unused fields 'compile_flag' and 'output_flag' depend: assume '-c' compiler flag always means to produce object files depend: assume we can always pass '-o' to the C compiler cleanup: having subdir-objects mandatory allow us some simplifications subdir-objects: enable unconditionally
Diffstat (limited to 't/compile_f_c_cxx.sh')
-rw-r--r--t/compile_f_c_cxx.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/t/compile_f_c_cxx.sh b/t/compile_f_c_cxx.sh
index a0b0e216f..4b9189d61 100644
--- a/t/compile_f_c_cxx.sh
+++ b/t/compile_f_c_cxx.sh
@@ -38,9 +38,18 @@ END
$ACLOCAL
$AUTOMAKE
+$FGREP COMPILE Makefile.in # For debugging.
+
# Look for the macros at the beginning of rules.
-$FGREP "$tab\$(AM_V_CC)\$(COMPILE)" Makefile.in
-$FGREP "$tab\$(AM_V_CXX)\$(CXXCOMPILE)" Makefile.in
-$FGREP "$tab\$(AM_V_F77)\$(F77COMPILE)" Makefile.in
+
+sed -e "s|$tab *&& *|$tab|" \
+ -e 's|$(AM_V_CC)||g' \
+ -e 's|$(AM_V_CXX)||g' \
+ -e 's|$(AM_V_F77)||g' \
+ Makefile.in >mk
+diff -u Makefile.in mk || : # For debugging.
+$FGREP "$tab\$(COMPILE)" mk
+$FGREP "$tab\$(CXXCOMPILE)" mk
+$FGREP "$tab\$(F77COMPILE)" mk
: